> This page is for Платформа, version Версия 4 экспериментальная.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - Версия 4 экспериментальная: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Предыдущая версия: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Создать список веб-перехватчиков

GET https://api.frame.io/v4/accounts/{account_id}/workspaces/{workspace_id}/webhooks

List webhooks for the given workspace. Rate Limits: 100 calls per 1.00 minute(s) per account\_userThis endpoint has been added to `Current Version` of the API.Please see [https://next.developer.frame.io/platform/v4/api-reference/webhooks/index](https://next.developer.frame.io/platform/v4/api-reference/webhooks/index).Rate Limits: 100 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/webhooks/index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `workspace_id` (string, required)

### Query parameters

- `include` (enum, optional)
  - Allowed values: `creator`
- `sort` (enum, optional) — Sort webhooks by query params
  - Allowed values: `name_asc`, `created_at_asc`, `name_desc`, `created_at_desc`
- `after` (string, optional) — Opaque Cursor query param for requests returning paginated results. NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.
- `page_size` (integer, optional, default: 50)
- `include_total_count` (boolean, optional, default: false)

## Response

### 200

OK

- `data` (list of WebhookWithIncludes, required)
- `links` (Links, required) — Links to paginated data
- `total_count` (integer, optional, nullable) — Total count

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### WebhookWithIncludes

- `created_at` (string, required)
- `events` (list of string, required)
- `id` (string, required) — Webhook ID
- `name` (string, required) — Webhook Name
- `updated_at` (string, required)
- `url` (string, required)
- `active` (boolean, optional) — Webhook active status
- `workspace_id` (string, optional, nullable) — Workspace ID
- `creator` (User, optional) — User details

### Links

Links to paginated data

- `next` (string, required, nullable) — "Link to next page of data. This link is the request path with the addition of the `after` query parameter to fetch the next page of results. It only carries the `after` cursor. Other query params from the original request (e.g. `include`, `sort`, `page_size`, `include_total_count`, filters) are not preserved and must be re-added by the client on every subsequent request, including when following this link.

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### User

User details

- `active` (boolean, required, nullable) — User active status
- `avatar_url` (string, required, nullable) — User avatar image url
- `email` (string, required) — User email
- `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account
- `name` (string, required, nullable) — User name
- `adobe_user_id` (string, optional, nullable) — Adobe user ID

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "created_at": "2024-02-12T21:34:58.501275Z",
      "events": [
        "file.created",
        "file.deleted",
        "file.ready",
        "file.updated",
        "file.upload.completed",
        "file.versioned",
        "file.copied",
        "folder.created",
        "folder.deleted",
        "folder.updated",
        "folder.copied",
        "comment.completed",
        "comment.created",
        "comment.deleted",
        "comment.uncompleted",
        "comment.updated",
        "customfield.created",
        "customfield.updated",
        "customfield.deleted",
        "metadata.value.updated",
        "project.created",
        "project.deleted",
        "project.updated",
        "collection.created",
        "collection.updated",
        "collection.deleted",
        "share.created",
        "share.updated",
        "share.deleted",
        "share.viewed"
      ],
      "id": "76c34624-e896-435d-a207-1905921c9623",
      "name": "My First Webhook",
      "updated_at": "2024-02-12T21:34:58.501275Z",
      "url": "https://my.webhook.url.dev",
      "active": true,
      "workspace_id": "7bc398d9-acb3-4d8a-827d-da8a1d6fa46d",
      "creator": {
        "active": true,
        "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
        "email": "user_email@example.com",
        "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9",
        "name": "Jon Doe",
        "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e"
      }
    }
  ],
  "links": {
    "next": "/v4/accounts/123/workspaces/123/webhooks"
  },
  "total_count": 10
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/99396fb4-f8f9-4458-8faa-18753f12ad48/workspaces/993af11b-4ead-4d2f-a46c-633a6cf11618/webhooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```